h1,
.h1 {
    @include font-size(($default-font-size * 4));
    @include line-height(($default-font-size * 4.8));

    margin: 0;
}

h2,
.h2 {
    @include font-size(($default-font-size * 3));
    @include line-height(($default-font-size * 3.8));

    margin: 0;
}

h3,
.h3 {
    @include font-size(($default-font-size * 2.5));
    @include line-height(($default-font-size * 3.3));

    margin: 0;
}

h4,
.h4 {
    @include font-size(($default-font-size * 2));
    @include line-height(($default-font-size * 2.8));

    margin: 0;
}

h5,
.h5 {
    @include font-size(($default-font-size * 1.8));
    @include line-height(($default-font-size * 2.6));

    margin: 0;
}

h6,
.h6 {
    @include font-size(($default-font-size * 1.8));
    @include line-height(($default-font-size * 2.6));

    margin: 0;
}

.heading {
    font-weight: $font-weight-bold;
    &-primary {
        @include font-size(($default-font-size * 8));
        @include line-height(($default-font-size * 8.8));

        margin: 0;
    }

    &-secondary {
        @include font-size(($default-font-size * 6));
        @include line-height(($default-font-size * 6.8));

        margin: 0;
    }
}